Skip to main content
`Ctrl`+`K`

# MatGetCurrentMemType

Get the memory location of the matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetCurrentMemType(Mat A, PetscMemType *m)

Not Collective, but the result will be the same on all MPI processes

## Input Parameter

- A - the matrix whose memory type we are checking

## Output Parameter

- m - the memory type

## See Also

Matrices, `Mat`, `MatBoundToCPU()`, `PetscMemType`

## Level

intermediate

## Location

src/mat/interface/matrix.c

## Implementations

MatGetCurrentMemType_MPIAIJ() in src/mat/impls/aij/mpi/mpiaij.c
MatGetCurrentMemType_SeqAIJKokkos() in src/mat/impls/aij/seq/kokkos/aijkok.kokkos.cxx
MatGetCurrentMemType_SeqAIJCUSPARSE() in src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu
MatGetCurrentMemType_SeqAIJHIPSPARSE() in src/mat/impls/aij/seq/seqhipsparse/aijhipsparse.hip.cxx
MatGetCurrentMemType_HYPRE() in src/mat/impls/hypre/mhypre.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages